Download it now!
Bug 129763 - The Manage Changes dialog defies resize with the gtk3 VCL plugin
Summary: The Manage Changes dialog defies resize with the gtk3 VCL plugin
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.5
Keywords:
Depends on:
Blocks: Track-Changes GTK3
  Show dependency treegraph
 
Reported: 2020-01-03 16:28 UTC by Eltomito
Modified: 2020-01-16 00:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eltomito 2020-01-03 16:28:51 UTC
When I open the Manage Changes dialog, its size is okay. But if I want to resize it to make it taller or wider, it lets me drag its corner to a greater height or width but as soon as I release it, it snaps back to its original size.

This only happens with the gtk3 VCL plugin. With the gen (X11) VCL plugin, the resizing works as expected.

Please when fixing this issue, take care not to reintroduce this bug: https://bugs.documentfoundation.org/show_bug.cgi?id=127218

Steps to reproduce:

1) Use Linux
2) In bash, type
export SAL_VCL_PLUGIN=gtk3
libreoffice6.4
3) Open a Writer document
4) Open the Manage Changes dialog via Edit->Track Changes...->Manage
5) Try to drag the dialog to a greater height.

Actual result:
It snaps right back to its original height! Drats!

Expected result:
It should stay as tall as you've just made it.

LibreOffice version (copied from About):
Version: 6.4.0.1
Build ID: 1b6477b31f0334bd8620a96f0aeeb449b587be9f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Caolán McNamara 2020-01-11 14:37:58 UTC
Is this under wayland or X11 ?
Comment 2 Eltomito 2020-01-11 15:11:53 UTC
(In reply to Caolán McNamara from comment #1)
> Is this under wayland or X11 ?

X11. My system is Ubuntu 18.04.3.
Comment 3 Commit Notification 2020-01-11 19:33:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c201f2e961d6eefdcaf410edc2499112df3896b

Resolves: tdf#129763 resize to request happening on every activate

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-01-11 19:57:02 UTC
fixed in master, backport to 6-4 and 6-3 in gerrit
Comment 5 Eltomito 2020-01-11 22:57:52 UTC
I'll test it when it's in the daily build. Thank you!
Comment 6 Commit Notification 2020-01-12 04:35:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2abea1b94e0f99b3887e816db006c11bfd72d010

Resolves: tdf#129763 resize to request happening on every activate

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Eltomito 2020-01-15 00:43:46 UTC
I tested version Version: 6.5.0.0.alpha0+
Build ID: b203b9c83d0000c8465dcd92fb6b029a2f28c724
and the bug is gone.

Thank you!
Comment 8 Commit Notification 2020-01-16 00:52:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/4e72c46536fac18f3b22102b5815651bb6938de7

Resolves: tdf#129763 resize to request happening on every activate

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.